## python-miio 0.5.0.1

=== requirements.txt ===
click
cryptography
construct
zeroconf
attrs
pytz  # for tz offset in vacuum
appdirs  # for user_cache_dir of vacuum_cli
tqdm
netifaces # for updater
pre-commit

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = python-miio
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-miio 0.4.4

=== debian/changelog ===
python-miio (0.4.4-2) experimental; urgency=medium

  * Fix Maintainer from Python Modules Team to Python Applications Packaging
    Team

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 06 Feb 2019 07:17:08 +0100

python-miio (0.4.4-1) experimental; urgency=medium

  * Initial release. (Closes: #921345)

 -- Johannes 'josch' Schauer <josch@debian.org>  Mon, 04 Feb 2019 14:08:52 +0100

=== debian/control ===
Source: python-miio
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Johannes 'josch' Schauer <josch@debian.org>
Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools
Build-Depends-Indep: help2man,
                     python3-appdirs,
                     python3-click,
                     python3-construct (>= 2.9.45),
                     python3-cryptography,
                     python3-netifaces,
                     python3-pytest,
                     python3-tqdm,
                     python3-tz,
                     python3-zeroconf
Vcs-Browser: https://salsa.debian.org/python-team/applications/miio
Vcs-Git: https://salsa.debian.org/python-team/applications/miio.git
Priority: optional
Section: python
Homepage: https://python-miio.readthedocs.io
Standards-Version: 4.3.0

Package: miio-tools
Architecture: all
Depends: python3-miio, ${misc:Depends}, ${python3:Depends}
Section: utils
Description: Tools for interfacing with Xiaomi appliances
 This tool allows one to interface with devices using Xiaomi's miIO protocol.
 .
  * miceil (command Xiaomi Philips LED Ceiling Lamp)
  * mieye (command Xiaomi Philips Eyecare Smart Lamp 2)
  * miiocli (command various appliances)
  * miio-extract-tokens (Reads device information out from an sqlite3 DB)
  * miplug (command Xiaomi Smart Plug)
  * mirobo (command Xiaomi Vacuum robot)

Package: python3-miio
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python module for interfacing with Xiaomi appliances
 This Python module allows one to interface with devices using Xiaomi's miIO
 protocol. The following devices are supported:
 .
  * Xiaomi Mi Robot Vacuum (miio.vacuum)
  * Xiaomi Mi Home Air Conditioner Companion (miio.airconditioningcompanion)
  * Xiaomi Mi Air Purifier (miio.airpurifier)
  * Xiaomi Aqara Camera (miia.aqaracamera)
  * Xiaomi Mi Smart WiFi Socket (miio.chuangmi_plug)
  * Xiaomi Chuangmi Plug V1 (1 Socket, 1 USB Port) (miio.chuangmi_plug)
  * Xiaomi Chuangmi Plug V3 (1 Socket, 2 USB Ports) (miio.chuangmi_plug)
  * Xiaomi Smart Power Strip V1 and V2 (WiFi, 6 Ports) (miio.powerstrip)
  * Xiaomi Philips Eyecare Smart Lamp 2 (miio.philips_eyecare)
  * Xiaomi Philips LED Ceiling Lamp (miio.ceil)
  * Xiaomi Philips LED Ball Lamp (miio.philips_bulb)
  * Xiaomi Philips Zhirui Smart LED Bulb E14 Candle Lamp (miio.philips_bulb)
  * Xiaomi Philips Zhirui Bedroom Smart Lamp (miio.philips_moonlight)
  * Xiaomi Universal IR Remote Controller (Chuangmi IR) (miio.chuangmi_ir)
  * Xiaomi Mi Smart Pedestal Fan V2, V3, SA1 and ZA1 (miio.fan)
  * Xiaomi Mi Air Humidifier (miio.airhumidifier)
  * Xiaomi Mi Water Purifier (Basic support: Turn on & off) (miio.waterpurifier)
  * Xiaomi PM2.5 Air Quality Monitor (miio.airqualitymonitor)
  * Xiaomi Smart WiFi Speaker (miio.wifispeaker)
  * Xiaomi Mi WiFi Repeater 2 (miio.wifirepeater)
  * Xiaomi Mi Smart Rice Cooker (miio.cooker)
  * Xiaomi Smartmi Fresh Air System (miio.airfresh)
  * Yeelight light bulbs (miio.yeelight)

=== debian/watch ===
version=4
https://pypi.python.org/packages/source/p/python-miio/ \
    python-miio-(.+)\.tar\.gz debian uupdate

## python-miio 0.5.0.1

=== debian/changelog ===
python-miio (0.5.0.1-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Sep 2021 23:21:37 -0400

python-miio (0.5.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Johannes 'josch' Schauer ]
  * New upstream version
  * Upload to unstable after construct 2.10.56 was uploaded (closes: #955373)
  * debian/watch: don't run uupdate
  * add debian/salsa-ci.yml
  * remove all patches
  * debian/control: add Rules-Requires-Root: no
  * debian/control: bump dh compat to 12
  * debian/copyright: miio/vacuum_mapparser.py got removed
  * debian/control: bump standards-version to 4.5.0 (no changes)

 -- Johannes 'josch' Schauer <josch@debian.org>  Mon, 27 Apr 2020 13:46:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-miio
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Johannes 'josch' Schauer <josch@debian.org>
-Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools
 Build-Depends-Indep: help2man,
                      python3-appdirs,
                      python3-click,
@@ -12,12 +12,13 @@
                      python3-tqdm,
                      python3-tz,
                      python3-zeroconf
-Vcs-Browser: https://salsa.debian.org/python-team/applications/miio
-Vcs-Git: https://salsa.debian.org/python-team/applications/miio.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/miio
+Vcs-Git: https://salsa.debian.org/python-team/packages/miio.git
 Priority: optional
 Section: python
 Homepage: https://python-miio.readthedocs.io
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 
 Package: miio-tools
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# for DEB_VERSION_UPSTREAM
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installman:
	for p in mirobo miplug miceil mieye miio-extract-tokens miiocli; do PYTHONPATH="$(shell pwd)" help2man --version-string=$(DEB_VERSION_UPSTREAM) --include=debian/"$$p".1.in debian/tmp/usr/bin/"$$p" > debian/"$$p".1; done
	dh_installman

override_dh_auto_test:
	# the core file must not exist before tests are run
	[ -z "$$(find ./.pybuild -regex './.pybuild/cpython3_[0-9.]+/build/core' -print -quit)" ] || exit 1
	dh_auto_test
	# on reprotest in salsaci, the testsuite leaves a spurious core file
	# of '/sbin/ldconfig -p' for unknown reasons (cannot reproduce locally)
	#
	# #0  raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
	#         set = {__val = {0 <repeats 16 times>}}
	#         pid = <optimized out>
	#         tid = <optimized out>
	#         ret = <optimized out>
	# #1  0x00007f1d0d52f471 in abort () at abort.c:79
	#         save_stage = 1
	#         act = {__sigaction_handler = {sa_handler = 0x78756e694c, sa_sigaction = 0x78756e694c},
	#           sa_mask = {__val = {0, 0, 0, 0, 0, 0, 0, 7310590632431809024, 8463513163314066547,
	#               7959113363796878706, 6647137, 0, 0, 0, 0, 4122533319142408192}}, sa_flags = 758264109,
	#           sa_restorer = 0x34}
	#         sigs = {__val = {32, 0 <repeats 15 times>}}
	# #2  0x00007f1d0d535b16 in __libc_message (action=action@entry=(do_abort | do_backtrace),
	#     fmt=fmt@entry=0x7f1d0d5efb1c "%s") at ../sysdeps/posix/libc_fatal.c:181
	#         ap = {{gp_offset = 24, fp_offset = 909653609, overflow_arg_area = 0x7fffb4ed4710,
	#             reg_save_area = 0x7fffb4ed46a0}}
	#         fd = 2
	#         list = <optimized out>
	#         nlist = <optimized out>
	#         cp = <optimized out>
	#         written = <optimized out>
	# #3  0x00007f1d0d535b42 in __libc_fatal (
	#     message=message@entry=0x7f1d0d5da04d "FATAL: kernel too old\n")
	#     at ../sysdeps/posix/libc_fatal.c:191
	# No locals.
	# #4  0x00007f1d0d536453 in __libc_start_main (main=0x7f1d0d52f8b0 <main>, argc=2, argv=0x7fffb4ed4848,
	#     init=0x7f1d0d536980 <__libc_csu_init>, fini=0x7f1d0d536a10 <__libc_csu_fini>, rtld_fini=0x0,
	#     stack_end=0x7fffb4ed4838) at ../csu/libc-start.c:217
	#         version = <optimized out>
	#         result = <optimized out>
	#         ev = 0x7fffb4ed4860
	#         auxvec = <optimized out>
	#         __PRETTY_FUNCTION__ = "__libc_start_main"
	#         stack_chk_guard = <optimized out>
	#         pointer_chk_guard = <optimized out>
	#         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 0, 0, 0, 0, 0, 0, 0}, mask_was_saved = 0}},
	#           priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
	#         not_first_call = <optimized out>
	# #5  0x00007f1d0d5303da in _start () at ../sysdeps/x86_64/start.S:120
	find ./.pybuild -regex './.pybuild/cpython3_[0-9.]+/build/core' -delete -quit

## python-miio 0.5.12

=== debian/changelog ===
python-miio (0.5.12-4) unstable; urgency=medium

  * Team upload.
  * Replace dependency on transitional python3-tz with new python3-pytz
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no": it is now the default
  * Make d/watch futureproof against new PyPi archive naming policy

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Nov 2025 15:24:45 +0100

python-miio (0.5.12-3) unstable; urgency=medium

  * Team upload.
  * Fix partial in enum for Python 3.13 (closes: #1090278).

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 Dec 2024 23:48:42 +0000

python-miio (0.5.12-2) unstable; urgency=medium

  * Team upload.
  * Replace appdirs with platformdirs (Closes: #1067997)
  * Fix FTBFS with Python3.13 (Closes: #1082231)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Sep 2024 18:13:12 +0200

python-miio (0.5.12-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Remove field Testsuite on binary package miio-tools that duplicates source
  * Add missing build-dependency on python3-poetry-core.
  * Build-Depends: python3-attr, python3-croniter, python3-yaml

  [ Scott Talbert ]
  * Build using pyproject.toml and add missing test dep (Closes: #1042325)
  * Remove man pages for binaries that have been dropped upstream
  * Fix man page generation

 -- Scott Talbert <swt@techie.net>  Sat, 27 Jan 2024 22:32:23 -0500

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,45 @@
 Source: python-miio
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Johannes 'josch' Schauer <josch@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools
-Build-Depends-Indep: help2man,
-                     python3-appdirs,
-                     python3-click,
-                     python3-construct (>= 2.9.45),
-                     python3-cryptography,
-                     python3-netifaces,
-                     python3-pytest,
-                     python3-tqdm,
-                     python3-tz,
-                     python3-zeroconf
+Uploaders:
+ Johannes 'josch' Schauer <josch@debian.org>,
+Section: python
+Testsuite: autopkgtest-pkg-python
+Priority: optional
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-poetry-core,
+ python3-setuptools,
+Build-Depends-Indep:
+ help2man,
+ python3-attr <!nocheck>,
+ python3-click,
+ python3-construct,
+ python3-croniter <!nocheck>,
+ python3-cryptography,
+ python3-defusedxml,
+ python3-netifaces,
+ python3-platformdirs <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-mock <!nocheck>,
+ python3-pytz,
+ python3-tqdm,
+ python3-yaml <!nocheck>,
+ python3-zeroconf,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/miio
 Vcs-Git: https://salsa.debian.org/python-team/packages/miio.git
-Priority: optional
-Section: python
 Homepage: https://python-miio.readthedocs.io
-Standards-Version: 4.5.1
-Rules-Requires-Root: no
 
 Package: miio-tools
 Architecture: all
-Depends: python3-miio, ${misc:Depends}, ${python3:Depends}
 Section: utils
+Depends:
+ python3-miio,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Tools for interfacing with Xiaomi appliances
  This tool allows one to interface with devices using Xiaomi's miIO protocol.
  .
@@ -36,7 +52,9 @@
 
 Package: python3-miio
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Python module for interfacing with Xiaomi appliances
  This Python module allows one to interface with devices using Xiaomi's miIO
  protocol. The following devices are supported:

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,10 @@
 include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_installman:
-	for p in mirobo miplug miceil mieye miio-extract-tokens miiocli; do PYTHONPATH="$(shell pwd)" help2man --version-string=$(DEB_VERSION_UPSTREAM) --include=debian/"$$p".1.in debian/tmp/usr/bin/"$$p" > debian/"$$p".1; done
-	dh_installman
+execute_before_dh_installman:
+	for p in mirobo miio-extract-tokens miiocli; do PYTHONPATH=debian/tmp/usr/lib/$(shell py3versions -d)/dist-packages help2man --version-string=$(DEB_VERSION_UPSTREAM) --include=debian/"$$p".1.in debian/tmp/usr/bin/"$$p" > debian/"$$p".1; done
 
 override_dh_auto_test:
 	# the core file must not exist before tests are run

=== debian/watch ===
version=4
https://pypi.python.org/packages/source/p/python-miio/ python[-_]miio-(.+)\.tar\.gz
